<?php

//header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
//header("Expires: Sat, 26 Jul 1997 05:00:00 GMT"); // Date in the past

	session_start();

	// =======================================================================================
	// Mini konfiguracja
	$tryb_webmastera = false;
	$ikonki_dla_uzytkownika = true;
	// =======================================================================================


   // Czas generowania strony - start
	if($tryb_webmastera){
		$start_pamiec = memory_get_usage();
		$d_timer = ereg_replace('0\.([0-9\.]*) ([0-9]*)','\\2.\\1',microtime());
	}


	$go = strip_tags(htmlspecialchars(str_replace(array("1 or 1=1--", "1=1--", "1 UNION", "UNION", "@", "!"), "", $_GET["go"])));
	$go2 = strip_tags(htmlspecialchars(str_replace(array("1 or 1=1--", "1=1--", "1 UNION", "UNION", "@", "!"), "", $_GET["go2"])));
	$go3 = strip_tags(htmlspecialchars(str_replace(array("1 or 1=1--", "1=1--", "1 UNION", "UNION", "@", "!"), "", $_GET["go3"])));
	$go4 = strip_tags(htmlspecialchars(str_replace(array("1 or 1=1--", "1=1--", "1 UNION", "UNION", "@", "!"), "", $_GET["go4"])));
	$go5 = strip_tags(htmlspecialchars(str_replace(array("1 or 1=1--", "1=1--", "1 UNION", "UNION", "@", "!"), "", $_GET["go5"])));
	$go6 = strip_tags(htmlspecialchars(str_replace(array("1 or 1=1--", "1=1--", "1 UNION", "UNION", "@", "!"), "", $_GET["go6"])));

	if(!isset($go)||$go==NULL)$go="strona-glowna";

	require $_SERVER['DOCUMENT_ROOT']."/include/podstrony.php";
	if($go=="wyloguj" or $go=="admin") $nazwa_pliku_szablonu = "admin_logowanie.tpl.html";
	require $_SERVER['DOCUMENT_ROOT']."/include/libs/Smarty.class.php";
	$tpl = new Smarty;


	// strony nie cachowane?
	if($_SESSION['u_login']==NULL and $_SESSION['id_gracza']==NULL and $go!="gra"){ // or $_SESSION['id_gracza']!=NULL
		$tpl->caching = true;
		$tpl->compile_check = false;
		$tpl->cache_lifetime = 60*5; // 5 minut
	}


	if((isset($_POST) && $_POST!=NULL) or $_SESSION['u_login']!=NULL or $go2=="wyloguj" or $go2!=NULL){ // or $_SESSION['id_gracza']==NULL
		$tpl->caching = false;
	}

	$cachowanie = NULL;

	if(!$tpl->isCached($nazwa_pliku_szablonu,md5($_SERVER['REQUEST_URI'].$_SESSION['id_gracza'])) || $go=="admin" || $go=="wyloguj") {

		$cachowanie = " - <b>cachowanie</b>";

		// wyczysc cache
		// $_SESSION['u_login'] != NULL OR
		if ($go == "admin" || $go == "wyloguj"){
			$tpl->clearAllCache();
		}


		$tpl->assign("go",$go);
		$tpl->assign("go2",$go2);
		$tpl->assign("go3",$go3);
		$tpl->assign("go4",$go4);
		$tpl->assign("go5",$go5);
		$tpl->assign("go6",$go6);


		include $_SERVER['DOCUMENT_ROOT']."/include/baza_danych.php";

		$logged_in = 0;
		include $_SERVER['DOCUMENT_ROOT']."/include/check_login.php";

		include $_SERVER['DOCUMENT_ROOT']."/include/funkcje_podstawa.php";


		if(isset($_GET['ajax'])){
			include "include/ajax_reakcje.php";
		}


		// admin - logowanie
		if ($go=="admin" AND $logged_in==0){
			include $_SERVER['DOCUMENT_ROOT']."/include/login.php";
			die;
		}


		if($go=="wyloguj" AND $logged_in==1){
	  		jump("include/logout.php");
			die;
		}


		if(!isset($go) OR $go==null){
			$go = 'strona-glowna';
		}

		if($ID_serwisu==null OR $katalog_serwisu==null){
	   	include "mod/inc/mod_inc_serwis.php";
	   }




		if(isset($go)){

		   $wykonaj = mysql_query ("SELECT SQL_CACHE * FROM ".$db_pref."strona WHERE alias='".$go."' and id_serwisu='".$ID_serwisu."' LIMIT 1;");
		   $ile = mysql_num_rows($wykonaj);

		   if($ile!=0){
		      while($wiersz=mysql_fetch_array ($wykonaj)){
		            $id_strony = $wiersz['id'];
		            $id_strony_glownej = $id_strony;
		            $nazwa_pliku = $wiersz['nazwa_pliku'];
		            $nazwa_strony = $wiersz['nazwa_strony'];
						$tpl->assign("nazwa_strony",$nazwa_strony);
		            $alias = $wiersz['alias'];
		            $typ_strony = $wiersz['typ'];
		      }
		   }

		   if($ile==0){
				jump($adres_serwisu);
		   }

		}


		// przypisanie odpowiedniego szablonu
		$tpl_sg = $nazwa_pliku;


		if($logged_in==1){
			// 'zerowanie' tresci pustych pol - strony, naglowka i stopki
			$wykonaj = mysql_query ("SELECT SQL_CACHE nazwa_pola FROM ".$db_pref."pole WHERE (nazwa_pliku='".$nazwa_pliku."' or nazwa_pliku='".$templates_naglowek."' or nazwa_pliku='".$templates_stopka."') and id_serwisu='".$ID_serwisu."';");

			if(mysql_num_rows($wykonaj)!=0){

			   while($wiersz=mysql_fetch_array ($wykonaj)){

			      $nazwa_pola = $wiersz['nazwa_pola'];
			      $tresc = $domyslny_tekst_pola;

		      	$admin_panel = przycisk(
						"include/edycja_tresci.php?go=".$go."&go2=".$go2."&subgo=".$go2."&id_tresci=&alias=".$nazwa_pola."&id_strony=".$id_strony."",
						"Kliknij aby dodać treść",
						okienko($nazwa_pola,"Dodanie treśći do pola na stronie","745","452"),
						ikonka("d")
					);

			   	$admin_panel .= ' '.przycisk(
						"include/edycja_tresci.php?go=".$go."&go2=".$go2."&subgo=".$go2."&id_tresci=".$id."&alias=".$nazwa_pola."&id_strony=".$id_strony."&edycja_html",
						"Kliknij aby dodać treść HTML",
						okienko($nazwa_pola."_html","Dodanie treśći HTML do pola na stronie","745","452"),
						ikonka("d2")
					);

					$tpl->assign($nazwa_pola, $tresc);
					$tpl->assign("ikonki_".$nazwa_pola, $admin_panel);

					$admin_panel = null;

			   }
			}

		}



		if($go2){
			$zapytanie_sql = " and subgo='".$go2."'";
		}

		// zaladowanie wszystkich tresci pol do wybranej strony
		$wykonaj = mysql_query ("SELECT SQL_CACHE * FROM ".$db_pref."tresc WHERE (id_strony='".$id_strony."' and id_serwisu='".$ID_serwisu."'".$zapytanie_sql.") or (kopiuj='1' and id_serwisu='".$ID_serwisu."');");
		$ile = mysql_num_rows($wykonaj);

		if($ile!=0){

		   while($wiersz=mysql_fetch_array ($wykonaj)){
		      $id = $wiersz['id'];
		      $tresc = $wiersz['tresc'];
		      $alias = $wiersz['alias'];
				$przez_kogo = $wiersz['przez_kogo'];
		      $kopiuj = $wiersz['kopiuj'];

				if($logged_in==1){

		         $admin_panel = przycisk(
						"include/edycja_tresci.php?go=".$go."&go2=".$go2."&subgo=".$go2."&id_tresci=".$id."&alias=".$alias."&id_strony=".$id_strony."",
						"Kliknij aby wyedytować to pole",
						okienko($id,"Edycja treści na stronie","850","552"),
						ikonka("e")
					);

					if($ikonki_dla_uzytkownika){

			         $admin_panel .= ' '.przycisk(
							"include/edycja_tresci.php?edycja_html&go=".$go."&go2=".$go2."&subgo=".$go2."&id_tresci=".$id."&alias=".$alias."&id_strony=".$id_strony."",
							"Kliknij aby wyedytować to pole HTML",
							okienko($id."_html","Edycja treści w HTML na stronie.","745","452"),
							ikonka("e2")
						);

			         $admin_panel .= '<span id="ico"> <span id="kico_'.$id.'"><a href="javascript:sndReq(\''.$kopiuj.'\',\'kico_'.$id.'\',\'kopi\');">'.ikonka("k".$kopiuj).'</a></span></span>';

					}

			      if($admin_panel!=null){$admin_panel = '<span style="position: absolute">'.$admin_panel.'</span>';}

				}

				$tpl->assign($alias, $tresc);
				$tpl->assign("ikonki_".$alias, $admin_panel);

				$admin_panel = null;

		   }

		}








		include "mod/inc/mod_inc_serwis.php";
		include "mod/inc/mod_inc_metatagi.php";

		// jeśli strona główna i logowanie to logowanie
		if(($go=="strona-glowna" and $_POST['akcja']=="logowanie") or ($go=="gra" and $go2=="wyloguj"))		  				include "mod/inc/gra_logowanie.php";

		// jeśli strona główna i rejestracja to rejestracja
		if($go=="strona-glowna" and $_POST['akcja']=="rejestracja")		  				include "mod/inc/gra_rejestracja.php";



		$tpl->assign("id_gracza", $_SESSION['id_gracza']);
		$tpl->assign("nazwa_gracza", $_SESSION['nazwa_gracza']);

		// gra
		if($go=="gra")		include "mod/inc/gra.php";











		/*
		if($_POST['akcja']=="szukaj" or $_POST['akcja']=="anuluj_szukanie")			include "mod/inc/serwis_szukaj.php";
		if($_POST['akcja']=="losuj")		include "mod/inc/serwis_losuj.php";








		if($go=="kontakt")		 			include "mod/inc/mod_inc_kontakt.php";

		if($go=="logowanie")		  			include "mod/inc/serwis_logowanie.php";
		if($go=="rejestracja")	  			include "mod/inc/serwis_rejestracja.php";
		if($go=="nowe-haslo")	 			include "mod/inc/serwis_nowe_haslo.php";


		include "mod/inc/serwis_jestes_tutaj.php";



		if($go=="moje-konto")	  			include "mod/inc/serwis_moje_konto.php";

		if($go=="uzytkownicy" or $go=="uzytkownik" or $go=="tablica-uzytkownika")	include "mod/inc/serwis_uzytkownicy.php";

		include "mod/inc/serwis_wiadomosci.php";

		include "mod/inc/serwis_kategorie.php";

		if($go=="tablica-uzytkownika")	include "mod/inc/serwis_tablice.php";

		if($go=="uzytkownik" or $go=="tablica-uzytkownika" or $go=="moje-konto" or $go=="wiadomosci")	include "mod/inc/serwis_uzytkownicy_ulubieni.php";

		if($go=="strona-glowna" or $go=="uzytkownicy" or $go=="zdjecia" or $go=="szczegoly-zdjecia" or $go=="teksty" or $go=="szczegoly-tekstu" or $go=="audio" or $go=="szczegoly-audio" or $go=="filmy" or $go=="szczegoly-filmu" or $go=="kategoria"){
			include "mod/inc/serwis_uzytkownicy_promowani.php";
			include "mod/inc/serwis_uzytkownicy_najwyzej_oceniani.php";
		}

		if($go=="szczegoly-zdjecia" or $go=="szczegoly-filmu" or $go=="szczegoly-audio" or $go=="szczegoly-tekstu" or $go=="uzytkownik"){
			include "mod/inc/serwis_komentarze.php";
		}

		if($go=="szczegoly-zdjecia" or $go=="szczegoly-filmu" or $go=="szczegoly-audio" or $go=="szczegoly-tekstu"){
			include "mod/inc/serwis_uzytkownicy_wybrane_prace_prawe.php";
			include "mod/inc/serwis_uzytkownicy_wybrane_prace_dolne.php";
			include "mod/inc/serwis_uzytkownicy_podobne_w_kategorii.php";
		}



		include "mod/inc/serwis_pliki.php";



		if($go=="ranking")					include "mod/inc/serwis_ranking.php";
		*/



		// załadowanie ustawień sklepu
		// $row = mysql_fetch_array(mysql_query("SELECT SQL_CACHE wlacz_wylacz_etykiete_dostawa_gratis FROM pcms_sklep_ustawienia WHERE id='1001' LIMIT 1;"));
		// $tpl->assign("wlacz_wylacz_etykiete_dostawa_gratis", $row['wlacz_wylacz_etykiete_dostawa_gratis']);







		// dane zalogowanego użytkownika
		$tpl->assign("logged_in", $logged_in);
		$tpl->assign("u_id", $_SESSION['u_id']);
		$tpl->assign("u_login", $_SESSION['u_login']);

		// adres serwisu
		$tpl->assign("adres_serwisu", $adres_serwisu);

		// rok dla stopki
		$tpl->assign("rok", date(Y));

	}

  	$tpl->display($nazwa_pliku_szablonu,md5($_SERVER['REQUEST_URI'].$_SESSION['id_gracza']));

	if($logged_in==1){
		$lokalizacja = substr($_SERVER['REQUEST_URI'], 1);
		if($lokalizacja==NULL){
			$lokalizacja_temp = "strona-glowna.html";
		}else{
			$lokalizacja_temp = $lokalizacja;
		}
		// Ustawiam odpowiedni adres w przegladarce, do lokalizacji tego co się dzieje w iframe
		echo'
			<script type="text/javascript">
				function Zmien_adres(){
					parent.top.location.href = "admin.php#'.$lokalizacja.'";
					if(parent.Windows.getWindow(\'naglowek\')) {
					   parent.Windows.getWindow(\'naglowek\').setURL("./mod/sub/naglowek.php");
					   parent.Windows.getWindow(\'naglowek\').setStatusBar("Odświeżone okienko po przeładowaniu strony. Lokalizacja: '.$lokalizacja_temp.'");
					}
					return;
				}
				Zmien_adres();
			</script>
		';
	}

	if($tryb_webmastera){
		$stop_pamiec = memory_get_usage();
		$f_timer = ereg_replace('0\.([0-9\.]*) ([0-9]*)','\\2.\\1',microtime());
		echo "<div class='c'></div><div style='text-align: center; width: 100%; font-size: 12px; font-family: Arial, Helvetica, sans-serif;'><br />Czas generowania strony: <b>".sprintf("%01.6f",$f_timer-$d_timer)."</b> sek.".$cachowanie." - Pamięć start: <b>".sprintf("%01.0f",$start_pamiec/1024)."KB</b>, pamięć stop: <b>".sprintf("%01.0f",$stop_pamiec/1024)."KB</b>, zajmowana pamięć: <b>".sprintf("%01.0f",($stop_pamiec-$start_pamiec)/1024)."KB</b></div>";
	}

?>